| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_mate_cfg_pdu Struct Reference

Configuration for a MATE PDU type, defining extraction rules and assignment criteria. More...

`#include <mate.h>`

## Public Attributes
char * | name
GPtrArray * | transforms
int | hfid
int | hfid_proto
int | hfid_pdu_rel_time
int | hfid_pdu_time_in_gop
GHashTable * | my_hfids
int | ett
int | ett_attr
GHashTable * | hfids_attr
bool | discard
bool | last_extracted
bool | drop_unassigned
GPtrArray * | transport_ranges
GPtrArray * | payload_ranges
avpl_match_mode | criterium_match_mode
accept_mode_t | criterium_accept_mode
AVPL * | criterium

## Detailed Description

Configuration for a MATE PDU type, defining extraction rules and assignment criteria.

## Member Data Documentation

## ◆ criterium

AVPL* _mate_cfg_pdu::criterium

AVPL used to filter which PDUs are eligible for GOP assignment

## ◆ criterium_accept_mode

accept_mode_t _mate_cfg_pdu::criterium_accept_mode

Whether a criterium match accepts or rejects the PDU

## ◆ criterium_match_mode

avpl_match_mode _mate_cfg_pdu::criterium_match_mode

Match mode (any/all) applied to the criterium AVPL

## ◆ discard

bool _mate_cfg_pdu::discard

If true, discard the PDU's AVPL after GOP assignment

## ◆ drop_unassigned

bool _mate_cfg_pdu::drop_unassigned

If true, do not display PDUs that are not assigned to any GOP

## ◆ ett

int _mate_cfg_pdu::ett

ett index for the PDU subtree

## ◆ ett_attr

int _mate_cfg_pdu::ett_attr

ett index for the PDU attributes subtree

## ◆ hfid

int _mate_cfg_pdu::hfid

Header field ID for the MATE PDU item added to the protocol tree

## ◆ hfid_pdu_rel_time

int _mate_cfg_pdu::hfid_pdu_rel_time

Header field ID for the PDU's relative time since capture start

## ◆ hfid_pdu_time_in_gop

int _mate_cfg_pdu::hfid_pdu_time_in_gop

Header field ID for the PDU's time offset since its GOP start

## ◆ hfid_proto

int _mate_cfg_pdu::hfid_proto

Header field ID of the protocol that triggers this PDU configuration

## ◆ hfids_attr

GHashTable* _mate_cfg_pdu::hfids_attr

Hash table mapping hfid → AVP attribute name for extracted fields

## ◆ last_extracted

bool _mate_cfg_pdu::last_extracted

If true, stop extraction after the first matching transport/payload range

## ◆ my_hfids

GHashTable* _mate_cfg_pdu::my_hfids

Hash table of hfid→field_name mappings used during field registration

## ◆ name

char* _mate_cfg_pdu::name

Unique name identifying this PDU configuration

## ◆ payload_ranges

GPtrArray* _mate_cfg_pdu::payload_ranges

Array of hfid ranges from which to extract payload-layer attributes

## ◆ transforms

GPtrArray* _mate_cfg_pdu::transforms

Ordered list of AVPL transformations applied after attribute extraction

## ◆ transport_ranges

GPtrArray* _mate_cfg_pdu::transport_ranges

Array of hfid ranges from which to extract transport-layer attributes

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/plugins/epan/mate/mate.h